Summary: Apache configuration tool
Name: apacheconf
Version: 0.8.2
Release: 2
Epoch: 5
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libglade-devel
BuildArch: noarch
Requires: python >= 1.5.2
Requires: alchemist
Requires: pygtk pygnome
Requires: pygnome-libglade
Requires: apache
Requires: usermode
Requires: 4Suite
Requires: Distutils

%description
A RHN configuration tool for apache.

%prep
%setup -q

%define _target_platform        %{nil}   
%configure 
%undefine       _target_platform  

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /var/cache/alchemist/apache ] ; then
  rm -rf /var/cache/alchemist/apache/*
fi

if [ -d /usr/share/apacheconf ] ; then
  rm -rf /usr/share/apacheconf/*.pyc
  rm -rf /usr/share/apacheconf/*.md5
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README.1st README AUTHORS COPYING
%doc $RPM_BUILD_ROOT%{_docdir}/%{name}/*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%config(noreplace) %{_sysconfdir}/alchemist/switchboard/
%config(noreplace) %{_sysconfdir}/alchemist/namespace/apache
%{_mandir}/man1/*
%{_datadir}/apacheconf
%{_datadir}/pixmaps/apacheconf.png
%{_sysconfdir}/X11/applnk/System/apacheconf.desktop
%{_sysconfdir}/X11/serverconfig/apacheconf.desktop
%dir /var/cache/alchemist/apache

%changelog
* Sat Apr 13 2002 Phil Knirsch <pknirsch@redhat.com> 0.8.2-2
- Fixed a tons of problems with new autoFOO stuff.

* Fri Apr 12 2002 Phil Knirsch <pknirsch@redhat.com>
- Fixed a problem in our rpm.xml default file (#63233)

* Wed Apr 10 2002 Bill Nottingham <notting@redhat.com> 0.8.2-1
- fixed missing dependency on Distutils in the specfile (#62794)

* Mon Nov 19 2001 Phil Knirsch <phil@redhat.de> 0.8.1-2
- Fixed missing dependancy on 4Suite in the specfile.

* Thu Aug 30 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.8.1-1
- don't install desktop files in the kontrol-panel directory, it 
  now reads the standard location as well (#52719)
- nn and no summaries in .desktop files were switched
- Fix character set for es.po, pt.po and it.po
- The COPYING filed listed as a doc-file weren't present in the tree
- Mark various configuration files as %%config

* Sun Aug 26 2001 Philipp Knirsch <pknirsch@redhat.de> 0.8-7
- Added symlink to redhat-config-apache for tool nameing compatibility.
- Fixed typo in po/pt_BR.po that prevented doing a make dist.

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com> 0.8-6
- Added my changes to cvs at sources.redhat.com

* Wed Aug  8 2001 Alexander Larsson <alexl@redhat.com> 0.8-5
- Install desktop file in serverconf:
- Install icon in /usr/share/pixmaps

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de> 0.8-4/3
- Fixed not working directory options removal (#45160)
- Fixed missing libglade-devel build prereq (#44725)
- Fixed missing ServerAlias entries in vhosts (#44320)

* Mon Jun 16 2001 Tammy Fox <tfox@redhat.com> 0.8-3/3
- Minor changes to documentation

* Tue May 14 2001 Philipp Knirsch <pknirsch@redhat.com> 0.8-3/2
- Fixed some autofoo issues in Makefile.am, specfile and autogen.sh 
- Fixed Bugzilla bug #40004 (small typo in src/ApacheControl.py)

* Tue Mar 20 2001 Philipp Knirsch <pknirsch@redhat.com> 0.8-2/1
- Added the Epoch: tag to avoid update problems with previous versions.
- Added a nice srpm feature in the Makefile.am with which we can now easily
  make SRPMS directly from CVS (borrowed from the kernel CVS Makefile ;)

* Sun Mar 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update Japanese translation
- Add .mo files to the file section in .spec

* Fri Mar  9 2001 Philipp Knirsch <pknirsch@redhat.com>
- Final fix for window close box

* Thu Mar  8 2001 Jonathan Blandford <jrb@redhat.com>
- Hooked up helpfiles

* Thu Mar  8 2001 Philipp Knirsch <pknirsch@redhat.com>
- Added documentation to the installation and RPM
- New version

* Mon Mar  5 2001 Philipp Knirsch <pknirsch@redhat.com>
- Added the apacheconf.png
- Installation of kontrol-panel files

* Mon Mar  5 2001 Jonathan Blandford <jrb@redhat.com>
- really include desktop file

* Tue Feb 27 2001 Jonathan Blandford <jrb@redhat.com>
- Include desktop file

* Fri Feb 23 2001 Philipp Knirsch <pknirsch@redhat.com>
- Added manpage and reworked parts of the spec file to look cleaner.

* Tue Feb 13 2001 Philipp Knirsch <pknirsch@redhat.com>
- Updated and fixed all of the bugzilla entries we had. Cleaned up some other
  parts as well.

* Fri Feb  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new version

* Thu Feb  8 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Feb  1 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jan 24 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Jan 18 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.


